<div ng-controller="structureFormController as self" ng-init="self.init(<?= $this->structure ? $this->structure->getId() : '' ?>)">
    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><a href="<?= $this->url('directory/structure') ?>"><?= $this->translate('structure_module_title') ?></a>
        </li>
        <li class="active">
            <span ng-if="self.structure.id">
                {{self.panelTitle}}
            </span>
            <span ng-if="!self.structure.id">
                <?= $this->translate('structure_nav_form') ?>
            </span>
        </li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('structure') ?> <?= $this->translate('structure_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-heading">
                    <span ng-if="self.structure.id">
                        {{self.panelTitle}}
                    </span>
                    <span ng-if="!self.structure.id">
                        <?= $this->translate('structure_nav_form') ?>
                    </span>

                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" ng-if="self.structure.id && self.structure._rights.delete">
                            <?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteStructure()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <form name="structureForm" ng-submit="self.saveStructure()">
                                <input type="hidden" name="id" ng-model="self.structure.id" />

                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="row">
                                            <div class="form-group required col-sm-6">
                                                <label for="name">
                                                    <?= $this->translate('structure_field_name'); ?>
                                                </label>
                                                <input type="text" id="name" class="form-control" ng-model="self.structure.name" required ng-readonly="!self.structure._rights.update" />
                                                <field-errors field="name" errors="self.errors.fields"></field-errors>
                                            </div>
                                            <?php if ($this->module()->isActive('budget')) : ?>
                                                <div class="form-group col-sm-6">
                                                    <label for="financer">
                                                        <?= $this->translate('structure_field_financer'); ?>
                                                    </label>
                                                    <br />
                                                    <input type="checkbox" id="financer" ng-model="self.structure.financer" ng-readonly="!self.structure._rights.update" />
                                                    <field-errors field="financer" errors="self.errors.fields"></field-errors>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                        <div class="row">
                                            <div class="form-group col-sm-6">
                                                <label for="email">
                                                    <?= $this->translate('structure_field_email'); ?>
                                                </label>
                                                <input type="email" id="email" class="form-control" ng-model="self.structure.email" ng-readonly="!self.structure._rights.update" />
                                                <field-errors field="email" errors="self.errors.fields"></field-errors>
                                            </div>
                                            <div class="form-group col-sm-6">
                                                <label for="sigle">
                                                    <?php echo $this->translate('structure_field_sigle'); ?>
                                                </label>
                                                <input type="text" id="sigle" class="form-control" ng-model="self.structure.sigle" ng-readonly="!self.structure._rights.update" />
                                                <field-errors field="sigle" errors="self.errors.fields"></field-errors>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="form-group col-sm-6">
                                                <label for="phone">
                                                    <?= $this->translate('structure_field_phone'); ?>
                                                </label>
                                                <input type="text" id="phone" class="form-control" ng-model="self.structure.phone" ng-readonly="!self.structure._rights.update" />
                                                <field-errors field="phone" errors="self.errors.fields"></field-errors>
                                            </div>
                                            <div class="form-group col-sm-6">
                                                <label for="phone2">
                                                    <?= $this->translate('structure_field_phone2'); ?>
                                                </label>
                                                <input type="text" id="phone2" class="form-control" ng-model="self.structure.phone2" ng-readonly="!self.structure._rights.update" />
                                                <field-errors field="phone" errors="self.errors.fields"></field-errors>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="form-group col-sm-6">
                                                <label for="siret">
                                                    <?php echo $this->translate('structure_field_siret'); ?>
                                                </label>
                                                <input type="text" id="siret" class="form-control" ng-model="self.structure.siret" ng-readonly="!self.structure._rights.update" />
                                                <field-errors field="siret" errors="self.errors.fields"></field-errors>
                                            </div>
                                            <div class="form-group col-sm-6">
                                                <label for="website">
                                                    <?php echo $this->translate('structure_field_website'); ?>
                                                </label>
                                                <input type="text" id="website" class="form-control" ng-model="self.structure.website" ng-readonly="!self.structure._rights.update" />
                                                <field-errors field="website" errors="self.errors.fields"></field-errors>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <fieldset>
                                            <legend><?= $this->icon('address', 'fa-fw') ?> <?= $this->translate('directory_address') ?></legend>
                                            <div class="row">
                                                <div class="form-group col-xs-12">
                                                    <label for="addressLine1">
                                                        <?= $this->translate('structure_field_addressLine1'); ?>
                                                    </label>
                                                    <input type="text" id="addressLine1" class="form-control" ng-model="self.structure.addressLine1" ng-readonly="!self.structure._rights.update" />
                                                    <field-errors field="addressLine1" errors="self.errors.fields"></field-errors>
                                                </div>
                                                <div class="form-group col-xs-12">
                                                    <label for="addressLine2">
                                                        <?= $this->translate('structure_field_addressLine2'); ?>
                                                    </label>
                                                    <input type="text" id="addressLine2" class="form-control" ng-model="self.structure.addressLine2" ng-readonly="!self.structure._rights.update" />
                                                    <field-errors field="addressLine2" errors="self.errors.fields"></field-errors>
                                                </div>
                                                <div class="form-group col-xs-4">
                                                    <label for="zipcode">
                                                        <?= $this->translate('structure_field_zipcode'); ?>
                                                    </label>
                                                    <input type="text" id="zipcode" class="form-control" ng-model="self.structure.zipcode" ng-readonly="!self.structure._rights.update" />
                                                    <field-errors field="zipcode" errors="self.errors.fields"></field-errors>
                                                </div>
                                                <div class="form-group col-xs-4">
                                                    <label for="city">
                                                        <?= $this->translate('structure_field_city'); ?>
                                                    </label>
                                                    <input type="text" id="city" class="form-control" ng-model="self.structure.city" ng-readonly="!self.structure._rights.update" />
                                                    <field-errors field="city" errors="self.errors.fields"></field-errors>
                                                </div>
                                                <div class="form-group col-xs-4">
                                                    <label for="country">
                                                        <?= $this->translate('structure_field_country'); ?>
                                                    </label>
                                                    <input type="text" id="country" class="form-control" ng-model="self.structure.country" ng-readonly="!self.structure._rights.update" />
                                                    <field-errors field="country" errors="self.errors.fields"></field-errors>
                                                </div>
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>

                                <?php if ($this->module()->isActive('keyword')) : ?>
                                    <div class="row">
                                        <div class="col-xs-12">
                                            <fieldset>
                                                <legend><?= $this->icon('keyword', 'fa-fw') ?> <?= $this->translate('keywords') ?></legend>
                                                <keywords-form-group entity="structure" ng-model="self.structure"></keywords-form-group>
                                            </fieldset>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <?php if ($this->module()->isActive('field')) : ?>
                                    <custom-fields
                                        cascade-save="{entity:'structure', id:self.structure.id}"
                                        entity="Directory\Entity\Structure"
                                        ng-model="self.structure" right="directory:e:structure"
                                        translations="{save: '<?= $this->translate('save') ?>'}">
                                    </custom-fields>
                                <?php endif ?>

                                <div ng-if="self.structure._rights.update" class="row">
                                    <div class="form-group col-xs-12">
                                        <button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
                                            <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                            <?= $this->translate('form_button_save') ?>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <?php if ($this->acl()->isAllowed('directory:e:job:r')) : ?>
                <div ng-if="self.structure.id">
                    <?php echo $this->partial('directory/partial/jobs.phtml'); ?>
                </div>
            <?php endif; ?>

        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('directory:e:structure:c')) {
    $fabLinks[] = [
        'href' => $this->url('directory/structure/form'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('structure_nav_form')
    ];
    $fabLinks[] = [
        'href' => $this->url('import', ['entity' => 'structure']),
        'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('structure_nav_import')
    ];
}

echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/keyword/directive/keywordsFormGroup.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');

$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/directory/service/structure.js');
$this->angular('js/src/directory/service/job.js');
$this->angular('js/src/directory/service/link.js');
$this->angular('js/src/directory/service/contact.js');

$this->angular('js/src/directory/directive/structureSelect.js');
$this->angular('js/src/directory/directive/contactSelect.js');
$this->angular('js/src/directory/directive/jobSelect.js');

$this->angular('js/src/directory/controller/job/job.js');
$this->angular('js/src/directory/controller/structure/form.js');
/** Fields */
$this->angular('js/src/field/service/fieldGroup.js');
$this->angular('js/src/field/service/fieldValue.js');
$this->angular('js/src/field/directive/customFields.js');
